/*
 * blink.c:
 *	Standard "blink" program in wiringPi. Blinks an LED connected
 *	to the first GPIO pin.
 *
 * Copyright (c) 2012-2013 Gordon Henderson. <projects@drogon.net>
 ***********************************************************************
 * This file is part of wiringPi:
 *	https://projects.drogon.net/raspberry-pi/wiringpi/
 *
 *    wiringPi is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU Lesser General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    wiringPi is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public License
 *    along with wiringPi.  If not, see <http://www.gnu.org/licenses/>.
 ***********************************************************************
 */

#include <stdio.h>
#include <wiringPi.h>

// LED Pin - wiringPi pin 0 is BCM_GPIO 17.

#define	LED	0
#define LONG    500
#define SHORT   200

void pulse(int length) {
  /* send pulses */
    digitalWrite (LED, HIGH) ;	// On
    delay (length) ;		// mS
    digitalWrite (LED, LOW) ;	// Off
    delay (length) ;
}

int main (void)
{
  int i;
  printf ("Raspberry Pi send SOS\n") ;

  wiringPiSetup () ;
  pinMode (LED, OUTPUT) ;

  for (;;)
  {
    for (i=0;i<3;i++)
      pulse(LONG);
    for(i=0;i<3;i++)
      pulse(SHORT);
    for (i=0;i<3;i++)
      pulse(LONG);
    sleep(1);
  }
  return 0 ;
}
